Get root node

- « DOMNode::getNodePath

- DOMNode::hasAttributes »

- PHP Manual
- DOMNode
- Get root node

# DOMNode::getRootNode

(PHP 8 >= 8.3.0)

DOMNode::getRootNode — Get root node

### Description

public DOMNode::getRootNode(array `$options` = `null`): DOMNode

Get root node.

### Parameters

`options`

  This parameter has no effect yet.

### Return Values

Returns the root node.

### Examples

Example #1 DOMNode::getRootNode() example

    <?php$dom = new DOMDocument();$dom->loadXML('<?xml version="1.0"?><html><body/></html>');var_dump($dom->documentElement->firstElementChild->getRootNode() === $dom);?>

The above example will output:

    bool(true)